#include <bits/stdc++.h>
#define ll long long
#define F first
#define S second
#define pii pair <int, int>
#define ld long double
#define ins insert
#define pb push_back
using namespace std;

const int N = 2e5 + 5;
const ll inf = 1e13;

std::vector<int> solve(std::vector<int> A)
{
    vector <pii> aa;
    int n = A.size(), s = 0;
    for (auto to: A)
    {
        s += to;
        aa.pb({to, aa.size()});
    }

    vector <pii> a = aa;
    int bst = 0;
    int ss = 0;
    for (int i = 0; i < n; i++)
    {
        bst++;
        ss += a[i].F;
        if (ss >= (s + 1) / 2) break;
    }
    bst = min(bst, n - bst);
    for (int m = 0; m < (1ll << n); m++)
    {
        vector <pii> af;
        for (int j = 0; j < n; j++) if ((1 << j) & m) af.pb(aa[j]);
        for (int j = 0; j < n; j++) if (!((1 << j) & m)) af.pb(aa[j]);
        int b = 0;
        int ss = 0;
        for (int i = 0; i < n; i++)
        {
            b++;
            ss += af[i].F;
            if (ss >= (s + 1) / 2) break;
        }
        if (min(b, n - b) > bst)
        {
            bst = min(b, n - b);
            a = af;
        }
    }

    vector <int> B;
    for (auto to: a) B.pb(to.S);
    return B;
}

//mt19937 gen(chrono::high_resolution_clock::now().time_since_epoch().count());
//
//int32_t main()
//{
//    while (true)
//    {
//        int n;
//        n = gen() % 10 + 1;
//        vector <int> a;
//        int s = 0;
//        for (int i = 1; i <= n; i++)
//        {
//            int v = (gen() % 10) + 1;
//            a.pb(v);
//            a.pb(v);
//            s += v;
//        }
//        vector <int> ans = solve(a);
//        int k = 0;
//        for (auto to: ans)
//        {
//            k++;
//            s -= a[to];
//            if (s <= 0) break;
//        }
//        if (k != n)
//        {
//            for (auto to: a) cout << to << ' ';
//            cout << endl;
//            for (auto to: ans) cout << to << ' ';
//            cout << endl;
//            return 0;
//        }
//
//
//    }
//
//    return 0;
//}
